Package com.pixelmed.anatproc

# Class CTAnatomy

java.lang.Object
com.pixelmed.anatproc.CTAnatomy

public class CTAnatomy extends Object

This class encapsulates information pertaining to anatomy of CT images.

Utility methods provide for the detection of anatomy from various header attributes regardless of whether these are formal codes, code strings or free text comments.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static DisplayableAnatomicConcept[]`
`anatomicConceptEntries`
`protected static DictionaryOfConcepts`
`anatomyConcepts`
`protected static String[]`
`badAnatomyWords`
`protected static String[]`
`badLateralityOrViewOrAnatomyPhraseTriggers`

## Constructor Summary

Constructors
Constructor
Description
`CTAnatomy()`

## Method Summary

Modifier and Type
Method
Description
`static DisplayableConcept`
`findAmongstGeneralAttributes(AttributeList list, DictionaryOfConcepts concepts, String[] badPhraseTriggers)`
`static DisplayableAnatomicConcept`
`findAnatomicConcept(AttributeList list)`
`static DictionaryOfConcepts`
`getAnatomyConcepts()`
`static void`
`main(String[] arg)`
Read the DICOM input file and extract anatomical information.
`protected static String[]`
`newStringArray(String... values)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### badLateralityOrViewOrAnatomyPhraseTriggers

protected static String[] badLateralityOrViewOrAnatomyPhraseTriggers

### badAnatomyWords

protected static String[] badAnatomyWords

### anatomicConceptEntries

protected static DisplayableAnatomicConcept[] anatomicConceptEntries

### anatomyConcepts

protected static DictionaryOfConcepts anatomyConcepts

## Constructor Details

### CTAnatomy

public CTAnatomy()

## Method Details

### newStringArray

protected static String[] newStringArray(String... values)

### getAnatomyConcepts

public static DictionaryOfConcepts getAnatomyConcepts()

### findAnatomicConcept

public static DisplayableAnatomicConcept findAnatomicConcept(AttributeList list)

### findAmongstGeneralAttributes

public static DisplayableConcept findAmongstGeneralAttributes(AttributeList list, DictionaryOfConcepts concepts, String[] badPhraseTriggers)

### main

public static void main(String[] arg)

Read the DICOM input file and extract anatomical information.

Parameters:
  `arg` - array of one string, the filename to read